using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DeepDrftData.Migrations
{
    /// <inheritdoc />
    public partial class AddReleaseUniqueTitleArtist : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateIndex(
                name: "IX_release_title_artist",
                table: "release",
                columns: new[] { "title", "artist" },
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_release_title_artist",
                table: "release");
        }
    }
}
